Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::ObjectKey Class Reference

`#include <Object_KeyC.h>`

Inheritance diagram for TAO::ObjectKey:

[legend]
Collaboration diagram for TAO::ObjectKey:

[legend]
List of all members.

## Public Types
typedef ObjectKey_var | _var_type
## Public Methods
| ObjectKey (void)
| ObjectKey (CORBA::ULong max)
| ObjectKey (CORBA::ULong max, CORBA::ULong length, CORBA::Octet *buffer, CORBA::Boolean release=0)
| ObjectKey (const ObjectKey &)
| ~ObjectKey (void)
| ObjectKey (CORBA::ULong length, const ACE_Message_Block *mb)
## Static Public Methods
void | encode_sequence_to_string (char *&str, const TAO_Unbounded_Sequence< CORBA::Octet > &seq)
void | decode_string_to_sequence (TAO_Unbounded_Sequence< CORBA::Octet > &seq, const char *str)
int | is_legal (u_char &c)
CORBA::Boolean | demarshal_key (ObjectKey &key, TAO_InputCDR &cdr)

## Member Typedef Documentation

typedef ObjectKey_var TAO::ObjectKey::_var_type

## Constructor & Destructor Documentation

TAO::ObjectKey::ObjectKey | ( | void |  | ) |

TAO::ObjectKey::ObjectKey | ( | CORBA::ULong | max | ) |

TAO::ObjectKey::ObjectKey | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | CORBA::Octet * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

TAO::ObjectKey::ObjectKey | ( | const ObjectKey & |  | ) |

TAO::ObjectKey::~ObjectKey | ( | void |  | ) |

TAO::ObjectKey::ObjectKey | ( | CORBA::ULong | length,
|  | const ACE_Message_Block * | mb
| ) | `[inline]`

## Member Function Documentation

void TAO::ObjectKey::decode_string_to_sequence | ( | TAO_Unbounded_Sequence< CORBA::Octet > & | seq,
|  | const char * | str
| ) | `[static]`

CORBA::Boolean TAO::ObjectKey::demarshal_key | ( | ObjectKey & | key,
|  | TAO_InputCDR & | cdr
| ) | `[static]`

| A special method that gives no regard to how the ORB has configured the resource factory. This will be used only during Profile decoding and should be safe. This is a solution for the bug report [BUG 1616]

void TAO::ObjectKey::encode_sequence_to_string | ( | char *& | str,
|  | const TAO_Unbounded_Sequence< CORBA::Octet > & | seq
| ) | `[static]`

int TAO::ObjectKey::is_legal | ( | u_char & | c | ) | `[static]`

The documentation for this class was generated from the following files:

- Object_KeyC.h
- Object_KeyC.cpp